New to Telerik Report Server? Start a free 30-day trial
GET api/reportserver/v3/data-alerts/{dataAlertId}/executions/{executionId}/documents/{documentId}
Returns the specified document generated by an execution of the data alert.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| dataAlertId |
The data alert ID. | string |
Required |
| executionId |
The execution ID. | string |
Required |
| documentId |
The document ID. | string |
Required |
Body Parameters
None.
Response Information
Resource Description
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Scheduled document ID. | string |
None. |
| TaskId |
Scheduled task or data alert ID. | string |
None. |
| DocumentName |
Document name. | string |
None. |
| DocumentFormat |
Document format. | string |
None. |
| Data |
Document binary data. | Collection of byte |
None. |
| MimeType |
File type. | string |
None. |
| DateCreated |
Obsolete since R2 2020. Use DateCreatedUtc property instead. The DateTime created value in the server local timezone. | date |
None. |
| DateCreatedUtc |
The DateTime created value in the UTC. | date |
None. |
| ReportId |
Report ID. | string |
None. |
| Error |
Contains any errors which might occur during document creation. | string |
None. |
Response Formats
application/json
json
{
"Id": "01ad9f70c06",
"TaskId": "dd81c690f07",
"DocumentName": "Sales Reports",
"DocumentFormat": "Pdf",
"Data": "QEA=",
"MimeType": "application/pdf",
"DateCreated": "2026-08-12T14:15:59.977081+00:00",
"DateCreatedUtc": "2026-08-12T14:15:59.977081Z",
"ReportId": "f79543d8670",
"Error": "Error 353"
}